> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Imports clients to a specific portal using their Social Security Numbers (SSNs). Requires authentication and portal access.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json post /portals/{id}/import-clients
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /portals/{id}/import-clients:
    post:
      tags:
        - Portal
      summary: >-
        Imports clients to a specific portal using their Social Security Numbers
        (SSNs). Requires authentication and portal access.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the portal to import clients to.
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        description: The request containing the list of SSNs to import.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImportClientsAuthenticatedRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ImportClientsAuthenticatedRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ImportClientsAuthenticatedRequest'
      responses:
        '200':
          description: Clients imported successfully.
        '400':
          description: Invalid request or empty SSNs list.
        '401':
          description: User does not have access to the specified portal.
components:
  schemas:
    ImportClientsAuthenticatedRequest:
      type: object
      properties:
        ssNs:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false

````